Subject: phpgroupware postrm halt the purge/uninstalltion process

From: <[email-masked]>
Date: Fri, 11 Oct 2002 20:59:00 +0200

Package: phpgroupware
Version: 0.9.14-0.RC3.2
Severity: serious
Tags: patch
Justification: Policy 6.3

postrm script stops in non-interactive mode (which is one of the worst
debconf practices) when running 'dpkg --purge phpgroupware'.

The output of the command is

dpkg - warning: while removing phpgroupware, directory
`/etc/phpgroupware' not empty so not removed.
Purging configuration files for phpgroupware ...
dpkg: error processing phpgroupware (--purge):
 subprocess post-removal script killed by signal (Interrupt)

and then it dies in a non-interactive mode (you have to issue one/two
CTRL-C to return to a prompt)

This behaviour has been observed on systems with perl 5.8.0 envirovment
and debconf version 1.2.10 (unstable).

The problem is resolved if you include a 'db_stop' command just before
the last 'exit 0' on postrm script.

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux RA 2.4.18-586tsc #1 Sun Apr 14 10:57:57 EST 2002 i586
Locale: LANG=C, LC_CTYPE=C

Versions of packages phpgroupware depends on:
ii  apache                    1.3.26-1       Versatile, high-performance HTTP s
ii  apache [httpd]            1.3.26-1       Versatile, high-performance HTTP s
ii  debconf                   1.2.10         Debian configuration management sy
ii  php4-imap                 4:4.1.2-5      IMAP module for php4
ii  php4-mysql                4:4.1.2-5      MySQL module for php4
ii  phpgroupware-admin        0.9.14-0.RC3.2 The phpGroupWare administration mo
ii  phpgroupware-api          0.9.14-0.RC3.2 The phpGroupWare API
ii  phpgroupware-core         0.9.14-0.RC3.2 The phpGroupWare core module
ii  phpgroupware-preferences  0.9.14-0.RC3.2 The phpGroupWare preferences manag
ii  phpgroupware-setup        0.9.14-0.RC3.2 The phpGroupWare setup III module
ii  wwwconfig-common          0.0.24         Debian web auto configuration.

---

From: Luca - De Whiskey's - De Vitis <[email-masked]>
Date: Sat, 12 Oct 2002 18:48:20 +0200

On Fri, Oct 11, 2002 at 08:59:00PM +0200, [email-masked] wrote:
> debconf practices)

You do not even know what you are talking about.
-- 
Luca - De Whiskey's - De Vitis              | Elegant or ugly code as well
aliases: Luca ^De [A-Z][A-Za-z\-]*[iy]'\?s$ | as fine or rude sentences have
Luca, a wannabe ``Good guy''.               | something in common: they
local LANG="it_IT@euro"                     | don't depend on the language.

---

From: Hugo Espuny <[email-masked]>
Date: Sat, 12 Oct 2002 19:08:35 +0200

Luca - De Whiskey's - De Vitis wrote:

|On Fri, Oct 11, 2002 at 08:59:00PM +0200, [email-masked] wrote:
|
|>Package: phpgroupware
|>Version: 0.9.14-0.RC3.2
|>Severity: serious
|>Tags: patch
|>Justification: Policy 6.3
|>
|>postrm script stops in non-interactive mode (which is one of the worst
|>debconf practices)
|
|
|You do not even know what you are talking about.

~ Well, i hope so. But if not, of course i am in the mood of rectificate
myself.

I am talking strictily about a bug discover in phpgroupware. You do not
seem polite enough, and this is not a good Debian maintainer practice also.

- --

"I've seen things you people wouldn't believe, huh!
~  Attack ships on fire off the shoulder of Orion.
~  I've watched C-beams glittering in the dark near the Tannhauser Gate.
~  All those moments will be lost in time, like tears ... in the rain.
~  Time to die."
~    -- Roy Batty, nexus 6 Tyrrel Corp. replicant, 2019 AC, L.A. --

pub  1024D/E8074ECF 2002-06-28 Hugo Espuny <[email-masked]>
~     Key fingerprint = D324 3DC4 1F2A 0936 DEB9  A4D9 D24A 8237 E807 4ECF
sub  2048g/5FE11467 2002-09-29

---

From: Luca - De Whiskey's - De Vitis <[email-masked]>
Date: Sat, 12 Oct 2002 19:08:26 +0200

> seem polite enough, and this is not a good Debian maintainer practice also.

You continue not to know what are you talking about, and I'm not willing to
explain it to you. Fell free to think whatever you like about me.
-- 
Luca - De Whiskey's - De Vitis              | Elegant or ugly code as well
aliases: Luca ^De [A-Z][A-Za-z\-]*[iy]'\?s$ | as fine or rude sentences have
Luca, a wannabe ``Good guy''.               | something in common: they
local LANG="it_IT@euro"                     | don't depend on the language.

---

From: Hugo Espuny <[email-masked]>
Date: Sat, 12 Oct 2002 19:32:44 +0200

>explain it to you. Fell free to think whatever you like about me.

Well, that's only your opinion. I don't care very much about it. And of 
course, as you are showing right now with your attitude, i don't have 
good fellings about you.

-- 

"I've seen things you people wouldn't believe, huh!
  Attack ships on fire off the shoulder of Orion.
  I've watched C-beams glittering in the dark near the Tannhauser Gate.
  All those moments will be lost in time, like tears ... in the rain.
  Time to die."
    -- Roy Batty, nexus 6 Tyrrel Corp. replicant, 2019 AC, L.A. --

pub  1024D/E8074ECF 2002-06-28 Hugo Espuny <[email-masked]>
     Key fingerprint = D324 3DC4 1F2A 0936 DEB9  A4D9 D24A 8237 E807 4ECF
sub  2048g/5FE11467 2002-09-29

---

From: Joey Hess <[email-masked]>
Date: Sat, 12 Oct 2002 13:55:31 -0400

> course, as you are showing right now with your attitude, i don't have 

Take it to private mail guys.

-- 
see shy jo